Bug 1663366 - USB selection option disabled even though USB support is enabled in RHV-4.2
Summary: USB selection option disabled even though USB support is enabled in RHV-4.2
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: Ryan Barry
QA Contact: Beni Pelled
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-04 04:57 UTC by Abhishekh Patil
Modified: 2020-01-24 19:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)

Description Abhishekh Patil 2019-01-04 04:57:25 UTC
Description of problem:

USB support is enabled in RHV environment and rebooted the VM, but USB selection option in virt-viewer is grayed out and we see a warning 'The connected VM is not configured for USB redirection'.

Version-Release number of selected component (if applicable):

ovirt-engine-4.2.6


How reproducible:
[100%]

Steps to Reproduce:
1. Enable USB suppport from RHV portal
2. Make sure usbdk is installed if there is Windows client.
3. Reboot the VM and check if USB selection option is enabled in virt-viewer. 

Actual results:

USB selection option in virt-viewer is grayed out and we see a warning 'The connected VM is not configured for USB redirection'.

Expected results:

USB selection option should be enabled.

Comment 3 Ryan Barry 2019-01-05 00:14:36 UTC
Just to make sure, are they using SPICE?

Comment 4 Michal Skrivanek 2019-01-05 06:49:53 UTC
> On 11 Dec 2018, at 19:06, Abhishekh Patil <abpatil@redhat.com> wrote:
> 
> Michal,
> 
> below is the USB controller available on the guest:
> -------------------
> Intel Corporation 82801I (ICH9 Familty) USB UHCI Controller

if that is the only one then that’s a problem
VMs with SPICE graphics are configured with 1 USB 2 and 3 USB 1 companion controllers which are then used by SPICE client. This explains why it’s not working later on

What is in VM’s “Console” tab in VM configuration? Also the complete list of VM Devices would be helpful (screenshot with that tab would work too).

Comment 6 Ryan Barry 2019-01-21 14:53:37 UTC
Re-targeting to 4.3.1 since it is missing a patch, an acked blocker flag, or both

Comment 11 Ryan Barry 2019-04-30 20:13:15 UTC
VM devices?

Comment 13 Steven Rosenberg 2019-06-23 12:53:44 UTC
I am trying to follow the instructions for simulating this issue. I have a VM with os guest running Windows and installed the usbdk.

It is not clear how you are running the virt-viewer in order to obtain the warning.

Please provide more information.

Comment 14 Abhishekh Patil 2019-06-24 01:00:21 UTC
(In reply to Steven Rosenberg from comment #13)
> I am trying to follow the instructions for simulating this issue. I have a
> VM with os guest running Windows and installed the usbdk.
> 
> It is not clear how you are running the virt-viewer in order to obtain the
> warning.
> 
> Please provide more information.

1. Create a VM from RHV portal.
2. Edit the VM and enable USB support from the portal.
3. Now, try to access this VM from windows client using virt-viewer and make sure usbdk is also installed on client. 
4. When you open VM console using virt-viewer, under 'File' there is an option 'USB device selection option'. But, in case of customer, this option is disabled(grayed out) even though USB support is enabled from RHV-portal for the VM.

Please let me know if this helps.

Comment 15 Steven Rosenberg 2019-06-24 06:46:32 UTC
(In reply to Abhishekh Patil from comment #14)
> (In reply to Steven Rosenberg from comment #13)
> > I am trying to follow the instructions for simulating this issue. I have a
> > VM with os guest running Windows and installed the usbdk.
> > 
> > It is not clear how you are running the virt-viewer in order to obtain the
> > warning.
> > 
> > Please provide more information.
> 
> 1. Create a VM from RHV portal.
> 2. Edit the VM and enable USB support from the portal.
> 3. Now, try to access this VM from windows client using virt-viewer and make
> sure usbdk is also installed on client. 
> 4. When you open VM console using virt-viewer, under 'File' there is an
> option 'USB device selection option'. But, in case of customer, this option
> is disabled(grayed out) even though USB support is enabled from RHV-portal
> for the VM.
> 
> Please let me know if this helps.

Thank you for your response. I was asking more of how you are running the virt-viewer such as the parameters, example. As I understand it should be run on the command line on the same machine as the browser that runs our ovirt UI.

Comment 16 Michal Skrivanek 2019-06-24 09:45:59 UTC
I suppose it’s just a regular association in browser and opened from webadmin

Comment 17 Abhishekh Patil 2019-06-25 14:46:09 UTC
(In reply to Steven Rosenberg from comment #15)
> (In reply to Abhishekh Patil from comment #14)
> > (In reply to Steven Rosenberg from comment #13)
> > > I am trying to follow the instructions for simulating this issue. I have a
> > > VM with os guest running Windows and installed the usbdk.
> > > 
> > > It is not clear how you are running the virt-viewer in order to obtain the
> > > warning.
> > > 
> > > Please provide more information.
> > 
> > 1. Create a VM from RHV portal.
> > 2. Edit the VM and enable USB support from the portal.
> > 3. Now, try to access this VM from windows client using virt-viewer and make
> > sure usbdk is also installed on client. 
> > 4. When you open VM console using virt-viewer, under 'File' there is an
> > option 'USB device selection option'. But, in case of customer, this option
> > is disabled(grayed out) even though USB support is enabled from RHV-portal
> > for the VM.
> > 
> > Please let me know if this helps.
> 
> Thank you for your response. I was asking more of how you are running the
> virt-viewer such as the parameters, example. As I understand it should be
> run on the command line on the same machine as the browser that runs our
> ovirt UI.

 >> USB selection is not just grayed out when using virt-viewer, but this also happens when accessing the VM through VM portal.

Comment 21 Daniel Gur 2019-08-28 13:11:29 UTC
sync2jira

Comment 22 Daniel Gur 2019-08-28 13:15:41 UTC
sync2jira

Comment 23 Ryan Barry 2019-12-11 14:03:26 UTC
Beni, can you please test this on 4.3 to see if it's really resolved/

Comment 24 Beni Pelled 2019-12-12 07:59:06 UTC
Verified on:
- RHV 4.3.6.7-0.1.el7
- VM Portal 1.6.0-1
- VirtViewer 6.0.256
- UsbDk_1.0.21_x64.msi

Verification steps:
1. Create windows_7_x64 vm by template.
2. Make sure USB Support (Edit vm > Console > USB Support) is enabled.
3. Connect to a different windows vm (7_x64) and install UsbDk_1.0.21_x64.msi (source: https://www.spice-space.org/download/windows/usbdk/UsbDk_1.0.21_x64.msi).
4. Connect to VM Portal and connect to the new windows vm (from step 1) through console.
5. Connect USB device by "File > USB device selection".

Result:
- USB device successfully connected

Comment 25 RHV Bug Bot 2019-12-13 13:14:49 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 26 RHV Bug Bot 2019-12-20 17:44:35 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 27 RHV Bug Bot 2020-01-08 14:48:54 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 28 RHV Bug Bot 2020-01-08 15:15:50 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 29 RHV Bug Bot 2020-01-24 19:50:46 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com


Note You need to log in before you can comment on or make changes to this bug.